Bug 1267008 - Quota documentation needs information on units
Quota documentation needs information on units
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Adela
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 15:27 EDT by Erik M Jacobs
Modified: 2016-08-04 21:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2015-09-28 15:27:04 EDT
The current quota documentation doesn't show all unit suffixes that are allowed. For example, milli (m) for CPU, etc.
Comment 2 Thien-Thi Nguyen 2015-10-13 07:48:50 EDT
Related issue: https://github.com/openshift/openshift-docs/issues/439 (regarding, specifically, the definition of "cpu unit").
Comment 3 Thien-Thi Nguyen 2015-10-13 08:39:49 EDT
See also

 https://access.redhat.com/articles/1531823

which includes a nice table describing the valid suffixes for the "resource-quantity" type used for resource limit values.  Source is at:

 https://gitlab.cee.redhat.com/bexelbie/doc-docker-user_guide-topic_branches/blob/tnguyen-kc-yaml/Kubernetes_Configuration/Kubernetes_Configuration.markdown

This is markdown, but it shouldn't be too hard to translate it to asciidoc.
Comment 4 Thien-Thi Nguyen 2015-10-24 10:49:37 EDT
Related: https://bugzilla.redhat.com/show_bug.cgi?id=1274950
Comment 5 Thien-Thi Nguyen 2016-05-11 16:02:48 EDT
Related: https://github.com/openshift/openshift-docs/pull/2059

Note You need to log in before you can comment on or make changes to this bug.